.TH Command DROPOFF
.SY "dropoff <TRANSPORTS> <ESCORTS> <SECT> <COMMODITY> route"
The \*Qdropoff\*U command is used to resupply beleaguered friendly
troops with food, shells, reinforcements, and other necessities of
battle.
.s1
<TRANSPORTS> represents a list of planes which are to travel
to the target sector.
Only planes which are provided with gas, and have sufficient mobility will
be successfully selected for the mission.
.s1
<ESCORTS> represent a list of fighter planes which are capable of escorting
the transports all the way to the target.
To be selected, escorts must have fuel and mobility.
.s1
<SECT> represents an assembly point, where all of the planes in the
mission meet before proceeding on to the target sector.
The assembly point must be owned by you, and must not be more than
four sectors away from any of the planes selected for the mission.
.s1
<COMMODITY> is the name of a commodity which is to be carried along
on all of the planes which have a transport capacity.
.s1
Route is a normal empire flightpath specification.
.s1
At 100% efficiency, fighters consume 12 mobility per flight; other aircraft
consume 20 mobility per flight.  As efficiency drops toward zero, mobility 
usage linearly increases to three times those values (i.e., 36 mob/flight
for a 0% efficient fighter, 60 mob/flight for a 0% efficient anything else).
.s1
The target sector must be owned by you.
Planes which arrive safely at the target sector will drop the goodies off
to the waiting people below.
.s3
See also : plane-types, bomb, fly, para, recon, flightpath
