#ifndef lint
static char *RCSid = "$Header: dist.c,v 1.1 89/12/14 08:19:41 jay Exp $";
#endif /* not lint */

/*
 * tpat.c
 *
 * test the bestpath routing system
 *
 * Dave Pare, 1986
 */

#include "misc.h"
#include "var.h"
#include "xy.h"
#include "sect.h"
#include "nsc.h"
#include "nat.h"
#include "file.h"
#include "path.h"

/*
 * tpath <SECT> <TARGET SECT> [SECTOR TYPES]
 */
tpath()
{
	extern	char *argp[];
	extern	int aborted;
	struct	sctstr sect,target;
	struct	nstr_sect nstr,tstr;
	char	stypes[20];
	char	*p;
	coord	dstx;
	coord	dsty;

	if (!snxtsct(&nstr, argp[1]))
		return RET_SYN;

	if (!(p = getstarg(argp[2], "destination sector : ")))
	    return RET_SYN;
	if (!sarg_xy(p, &dstx, &dsty))
	    return RET_SYN;
	if (!getsect(dstx, dsty, &target)) {
	    pr("Can't access destination sector");
	    return RET_FAIL;
	}

	strcpy(stypes,argp[3] ? argp[3] : "");
	if (*stypes)
	    strcat(stypes," ");

	while (!aborted && nxtsct(&nstr, &sect)) {
		pr(fmt("%s at %s : ", dchr[sect.sct_type].d_name,
			xyas(nstr.x, nstr.y, cnum)));
		p = (char *)bestpath(nstr.x, nstr.y,
					dstx, dsty,stypes);
		strcat(p,"h");
		pr(fmt("\"%s\"\n",p));
	}
	return RET_OK;
}
