#ifndef lint
static char *RCSid = "$Header: wai.c,v 1.1 89/12/14 08:21:14 jay Exp $";
#endif /* not lint */

/*
 * wai.c
 *
 * continuously wait for telegrams; print them out when
 * you get them.
 *
 */

#include "misc.h"
#include "nat.h"
#include "tel.h"
#include "sailio.h"
#include "bit.h"
#include "file.h"

#include <fcntl.h>

wai()
{
	extern	SAIL *iop;
	extern	char *argp[];
	static	bit_fdmask mask;
	struct	natstr *np;
	int	n;

	if (mask == 0)
		mask = bit_newfdmask();
	bit_zero(mask);
	np = getnatp(cnum);
	sflush(iop);
	while (np->nat_tgms == 0) {
		BIT_SETB(0, mask);
		BIT_SETB(sio_fileno(iop), mask);
		n = select(sio_fileno(iop)+1, mask, (int *)0, (int *)0,
			(struct timeval *)0);
		if (n < 0)
			return RET_FAIL;
		if (BIT_ISSETB(sio_fileno(iop), mask))
			tm_update(-1);
		if (BIT_ISSETB(0, mask))
			return RET_OK;
	}
	argp[0] = 0;
	argp[1] = 0;
	return rea();
}
