static char *RCSid = "$Header: quit.c,v 1.1 89/12/14 13:26:41 jay Exp $";

/*
 * quit.c
 *
 * Quit the game.
 *
 */

#include "misc.h"
#include "com.h"
#include "nat.h"
#include "deity.h"
#include "file.h"

quit()
{
    extern	time_t lasttime;
    extern	time_t curup;
    int	secs, rand;
    /*
    ** randomly round up to the nearest minute,
    ** charging at least 15 seconds.
    */
    secs = max(curup - lasttime, 15);
    if (secs >= (random() % 60))
	NAT_DELTA(nat_minused, cnum, 1);
    pr("Bye-bye\n");
    tm_exit(0);
    /*NOTREACHED*/
}

enable()
{
    char i;
    struct natstr *np;
    np = getnatp(cnum);
    if (!god) {
	i = np->nat_stat | STAT_GOD;
	NAT_SET(nat_stat, cnum, i);
	pr("Yes, sir!\n");
	quit();
    } else {
	pr("You're already a deity, bozo.\n");
    }
    return RET_OK;
}

disable()
{
    char i;
    struct natstr *np;
    np = getnatp(cnum);
    i = np->nat_stat & ~STAT_GOD;
    NAT_SET(nat_stat, cnum, i);
    pr("Okay ...\n");
    quit();
}

