static char *RCSid = "$Header: /sequent2/empire/EMP/lib/global/RCS/item.c,v 1.1 89/09/02 18:30:15 mr-frog Exp $";

/*
 * item.c
 *
 * item characteristics -- one entry per movable item
 *
 * must be in same order as defines in var.h
 *
 */

#include "misc.h"
#include "var.h"
#include "item.h"

struct  ichrstr ichr[I_MAX+2]  = {
/*  mnem vtype     val sell  lbs sec rg,wh,ur,bnk sname    name */
    '?', 0,         0,   0,   0,  0,  0, 0, 0, 0, "",      "unused",
    'c', V_CIVIL,   1,   0,   1,  5,  1, 1,10, 1, "civs",  "civilians",
    'm', V_MILIT,   0,   0,   1, 35,  1, 1, 1, 1, "mil",   "military",
    's', V_SHELL,   5,   1,   1, 60,  1,10, 1, 1, "shells","shells",
    'g', V_GUN,     60,  1,  10, 60,  1,10, 1, 1, "guns",  "guns",
    'p', V_PETROL,  4,   1,   1, 50,  1,10, 1, 1, "pet",   "petrol",
    'i', V_IRON,    2,   1,   1,  5,  1,10, 1, 1, "iron",  "iron ore",
    'd', V_DUST,    20,  1,   5, 15,  1,10, 1, 1, "dust",  "dust (gold)",
    'b', V_BAR,     280, 1,  50, 80,  1, 5, 1, 1, "bars",  "bars of gold",
    'f', V_FOOD,    0,   1,   1,  5,  5,10, 1, 1, "food",  "food",
    'o', V_OIL,     8,   1,   1, 20,  1,10, 1, 1, "oil",   "oil",
    'l', V_LCM,     2,   1,   1,  5,  1,10, 1, 1, "lcms",  "light products",
    'h', V_HCM,     4,   1,   1,  5,  1,10, 1, 1, "hcms",  "heavy products",
    'u', V_UW,      1,   1,   2, 25,  1, 1, 1, 1, "uws",   "uncompensated workers", 
    'r', V_RAD,	    150, 1,   8, 65,  1,10, 1, 1, "rads",  "radioactive materials",
    'e', V_ENERGY,  1,   0,   1,  5, 10,10,10,10, "energy","energy",
    0,  0,          0,   0,   0,  0,  0, 0, 0, 0, 0, 0,
};
