static char *RCSid = "$Header: /sequent2/empire/EMP/lib/global/RCS/nuke.c,v 1.1 89/09/02 18:30:19 mr-frog Exp $";

/*
 * nuke.c
 *
 * nuke characteristics structure.  Be sure and change
 * N_MAXNUKE in nuke.h if any more slots get added.
 * 
 */

#include "misc.h"
#include "nuke.h"

struct nchrstr nchr[N_MAXNUKE] = {
	/* name         lcm  hcm  oil  rads blst dam    cost  tech lbs flags */

        "2kt fission",   10,  10,   5,  12,  1,   10,   5000,  240,  2,   0,
        "5kt fission",   30,  30,  15,  36,  2,   40,   8500,  240,  3,   0,
	"10kt fission",	 50,  50,  25,  60,  3,   70,  12000,  240,  4,   0,
	"15kt fission",	 50,  50,  25,  70,  3,   90,  13500,  255,  5,   0,
	"50kt fission",	 60,  60,  30,  80,  3,  100,  15000,  270,  6,   0,
	"100kt fission", 75,  75,  40, 100,  4,  125,  19000,  280,  8,   0, 

        "10kt fusion",    8,   8,   7,   8,  3,   80,   8000,  320,  2,   0,
	"50kt fusion",	 40,  40,  35,  40,  3,   90,   9000,  310,  3,   0,
	"250kt fusion",	 50,  50,  45,  50,  4,  110,  10000,  300,  4,   0,
	"500kt fusion",  60,  60,  50,  60,  5,  120,  12000,  305,  5,   0,
	"1mt fusion",	 75,  75,  50,  80,  6,  150,  15000,  315,  5,   0,
	"3mt fusion",	100, 100,  75, 100,  7,  170,  17000,  320,  6,   0,
	"5kt fusion",    15,  15,  15,  20,  2,   80,   7000,  320,  1,   0,
    	"5mt fusion", 	120, 120, 100, 120,  8,  190,  20000,  325,  8,   0,
        "20mt fusion",  200, 200, 180, 200, 15,  220,  40000,  360, 10,   0,

#ifdef NEUTRONBOMBS
        "1kt neutron",    4,   4,   5,   5,  1,   10,   7000,  350,  1,N_NEU,
        "2kt neutron",    7,   7,  10,  10,  1,   20,  10000,  350,  2,N_NEU,
	"5kt neutron",   15,  15,  15,  20,  2,   50,  15000,  350,  3,N_NEU,
        "20kt neutron",  30,  30,  22,  50,  2,   90,  16500,  350,  3,N_NEU,
        "50kt neutron",	 60,  60,  30,  75,  3,  100,  18000,  350,  4,N_NEU,
        "100kt neutron", 75,  75,  40, 100,  4,  120,  20000,  350,  5,N_NEU,
        "250kt neutron", 90,  90,  60, 120,  5,  160,  25000,  370,  7,N_NEU,
#else
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
	"",		  0,   0,   0,   0,  0,    0,      0,    0,  0,   0,
#endif
};
